PETSc version 3.17.4
Fix/Edit manual page

# DMStagSetStencilWidth

set elementwise stencil width

### Synopsis

    PetscErrorCode DMStagSetStencilWidth(DM dm,PetscInt stencilWidth)

Logically Collective; stencilWidth must contain common value

### Input Parameters

| dm | - the DMStag object
| stencilWidth | - stencil/halo/ghost width in elements

### Notes

The width value is not used when DMSTAG_STENCIL_NONE is specified.

### See Also

DMSTAG, DMStagGetStencilWidth(), DMStagGetStencilType(), DMStagStencilType

### Level

beginner

### Location

src/dm/impls/stag/stagutils.c
Index of all DMSTAG routines
Table of Contents for all manual pages
Index of all manual pages